Page MenuHomePhabricator

Redirected Items and Lexemes not shown with "redirect=no" on listing pages
Closed, ResolvedPublic

Description

Problem:
When redirecting one Item or Lexeme to another through a merge the behaviour in listing pages differs from normal MediaWiki wikitext pages. They should not differ.

What happens for normal wikitext pages: The page that contains the redirect shows up in the listing page with "&redirect=no" appended to the URL. This way the editor clicking the link is going to the source of the redirect and not the target. This is the desired behaviour.
What happens for Item and Lexeme pages: The page that contains the redirect shows up in the listing page without "&redirect=no" appended to the URL. This way the editor clicking the link is going to the target of the redirect and not the source.

Listing pages where this is happening: recent changes, user contribution, watchlist and potentially others

Example:

BDD
GIVEN an edit that turns an Item or Lexeme into a redirect
WHEN it is listed in listing pages
THEN the link to it links to the source of the redirect and not the target

Acceptance criteria:

  • redirect edits for Items and Lexemes also link to the redirect source, not target

Original report:
On user contributions pages on Wikidata, e.g. this one, redirected Wikidata items, which only have the item number preceded by the letter "Q" in parentheses, appear to be going to the normal redirected page instead of the "redirect=no" page.

Please fix the behavior to match the one for Wikitext redirect pages.

Actual behavior: Hovering over "(Q93054321)" will show the URL "https://www.wikidata.org/wiki/Q93054321".

Expected behavior: Hovering over "(Q93054321)" will show the URL "https://www.wikidata.org/w/index.php?title=Q93054321&redirect=no".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2020, 12:06 AM
Lydia_Pintscher renamed this task from Redirected Wikidata items not shown with "redirect=no" on user contributions pages to Redirected Items and Lexemes not shown with "redirect=no" on listing pages.Jul 24 2020, 10:31 AM
Lydia_Pintscher triaged this task as Medium priority.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Incoming to Prioritized Product on the Wikidata-Campsite board.
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Aug 4 2020, 1:15 PM

Change 618988 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] WIP: Redirected links should use redirect=no

https://gerrit.wikimedia.org/r/618988

Change 618988 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Redirected links should use redirect=no

https://gerrit.wikimedia.org/r/618988